var bizagiUtil = require('bz-util');
var REQUIRED = bizagiUtil.REQUIRED;
var ERROR = bizagiUtil.error;
var RESPONSE = bizagiUtil.getResponse;
 
/**
 * @author luis.avila@bizagi.com
 */ 

function invoke(globals, actionName, data, authenticationType, LOG, callback) {
    var Trello = REQUIRED("trello");
var trello = new Trello(globals.authdata.APPLICATION_KEY, globals.authdata.USER_TOKEN);

trello.addCard(data.inputs.input.title, data.inputs.input.description, data.inputs.input.list_id,
    function (err, trelloCard) {
        if (trelloCard && trelloCard.id) {
            var success = RESPONSE(trelloCard, null, 200);
            callback(success);
        }
        else {
            var error = RESPONSE(null, trelloCard, 400, trelloCard);
            callback(error);
        }
    });
}

exports.invoke = invoke;